<?php

namespace AppBundle\Repository;

/**
 * PictureRepository
 *
 * This class was generated by the Doctrine ORM. Add your own custom
 * repository methods below.
 */
class PictureRepository extends \Doctrine\ORM\EntityRepository
{
    public function getPictureUser($id)
    {
        return $this
            ->createQueryBuilder('picture')
            ->where('picture.user = :id')

//            ->select('a')
//            ->leftJoin('a.tags', 't')
//            ->groupBy('a')
//            ->having('count(t.id) > :count')
            ->setParameter('id', $id)
            ->getQuery()
            ->getResult();
    }

    public function getPicturesDescDate()
    {
        return $this
            ->createQueryBuilder('picture')
            ->orderBy('picture.picture', 'DESC')
            ->getQuery()
            ->getResult();
    }
}
